# std::locale::facet Class Reference

Localization functionality base class. More...

`#include <locale_classes.h>`

Inheritance diagram for std::locale::facet:

[legend]
List of all members.

## Protected Member Functions

| facet (size_t __refs=0) throw ()
| Facet constructor.
virtual | ~facet ()
| Facet destructor.

## Detailed Description

Localization functionality base class.

The facet class is the base class for a localization feature, such as money, time, and number printing. It provides common support for facets and reference management.

Facets may not be copied or assigned.

Definition at line 343 of file locale_classes.h.

## Constructor & Destructor Documentation

std::locale::facet::facet | ( | size_t | __refs = `0` | ) | throw ()`[inline, explicit, protected]`

Facet constructor.

This is the constructor provided by the standard. If refs is 0, the facet is destroyed when the last referencing locale is destroyed. Otherwise the facet will never be destroyed.

Parameters:

  | refs | The initial value for reference count.

Definition at line 375 of file locale_classes.h.

std::locale::facet::~facet | ( |  | ) | `[protected, virtual]`

| Facet destructor. Definition at line 204 of file locale.cc.

The documentation for this class was generated from the following files:

- locale_classes.h
- locale.cc